package com.jpsoft.shinestar.modules.common.dto;

public class MessageResult<T> {
	private boolean result;
	private String message;
	private T data;
	private int code = 200;

	public MessageResult() {
	}

	public MessageResult(boolean result, String message, T data, int code) {
		this.result = result;
		this.message = message;
		this.data = data;
		this.code = code;
	}

	public boolean isResult() {
		return result;
	}

	public void setResult(boolean result) {
		this.result = result;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public T getData() {
		return data;
	}

	public void setData(T data) {
		this.data = data;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}
}